import { AnnotationEditorLayer } from '../../pdfjs';
import { LayerBuilder } from '../../viewer';
export declare class AnnotationEditorLayerBuilder extends LayerBuilder {
    private _annotationEditorLayer?;
    private _drawLayer?;
    get annotationEditorLayer(): AnnotationEditorLayer | undefined;
    get annotationEditorUIManager(): import('../../pdfjs').AnnotationEditorUIManager | undefined;
    canRegister(): boolean;
    render(): Promise<void>;
    cancel(): void;
    hide(): void;
    show(): void;
}
